Pango::FontMetrics(3pm)

NAME
Pango::FontMetrics - object for Pango containing overall metric information for a font

HIERARCHY
  Glib::Boxed
  +----Pango::FontMetrics

METHODS

  integer = $metrics->get_approximate_char_width

  integer = $metrics->get_approximate_digit_width

  integer = $metrics->get_ascent

  integer = $metrics->get_descent

  integer = $metrics->get_strikethrough_position
Since: pango 1.6

  integer = $metrics->get_strikethrough_thickness
Since: pango 1.6

  integer = $metrics->get_underline_position
Since: pango 1.6

  integer = $metrics->get_underline_thickness
Since: pango 1.6

SEE ALSO
Pango, Glib::Boxed

COPYRIGHT
Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL. See Pango for a full notice.